Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs
Interface SubmitObjectsRequestType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SubmitObjectsRequestTypeImpl

    public interface SubmitObjectsRequestType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Submit Objects Request Type'.

The following features are supported:

- `Leaf Registry Object List`

See Also:
  `RegistryPackage.getSubmitObjectsRequestType()`

Method Summary
`LeafRegistryObjectListType` | `getLeafRegistryObjectList()` Returns the value of the 'Leaf Registry Object List' containment reference.
`void` | `setLeafRegistryObjectList(LeafRegistryObjectListType value)` Sets the value of the '`Leaf Registry Object List`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLeafRegistryObjectList

    LeafRegistryObjectListType getLeafRegistryObjectList()

  Returns the value of the 'Leaf Registry Object List' containment reference.

  If the meaning of the 'Leaf Registry Object List' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Leaf Registry Object List' containment reference.
  See Also:
    `setLeafRegistryObjectList(LeafRegistryObjectListType)`, `RegistryPackage.getSubmitObjectsRequestType_LeafRegistryObjectList()`

### setLeafRegistryObjectList

    void setLeafRegistryObjectList(LeafRegistryObjectListType value)

  Sets the value of the '`Leaf Registry Object List`' containment reference.

  Parameters:
    `value` - the new value of the 'Leaf Registry Object List' containment reference.
  See Also:
    `getLeafRegistryObjectList()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD